Subject: Re: bug#61896: 30.0.50; Emacs crashes because of an invalid free

From: Rah Guzar <[email-masked]>
Date: Mon, 06 Mar 2023 20:52:50 +0100

Hi!
  I tried again today and I can no longer reproduce the bug with the bytecode
  in the site-lisp directory. The byte code hasn't been updated but my emacs
  was updated yesterday. I have also tried building emacs-29 from source and
  that also works fine. So it seems like the problem has been fixed.

Philip Kaludercic <[email-masked]> writes:

> Rah Guzar <[email-masked]> writes:
>
>> I have never used gdb before so I will need to figure that out. I am traveling
>> today so this will not happen before Monday or Tuesday. But I will try it
>> sometime next week.
>
> It shouldn't be that difficult, I usually first reconfigure Emacs with
> debugging information:
>
>    $ pwd
>    /home/user/src/emacs/
>    $ ./configure CFLAGS="-ggdb3"
>
> Then all you need to do is to start Emacs in the src sub-directory using
> GDB and then try to provoke the bug:
>
>    $ pwd
>    /home/user/src/emacs/src
>    $ gdb emacs |& tee error.log
>    ... # Copyright and stuff here.
>    (gdb) run -Q
>    ... # Emacs is running now and you can load the broken bytecode.
>        # The next GDB prompt will appear when Emacs aborts.
>    (gdb) xbacktrace
>    ... # The Lisp backtrace should appear here.
>    (gdb) quit
>
> If you do this, then the entire session log should be store in the
> "error.log" file.